import { EventEmitter, ChangeDetectorRef, OnDestroy, AfterViewInit, ElementRef } from '@angular/core';
import { SdCurrencyPipe } from '../../../../pipes/currency.pipe';
export declare class GridInputControlComponent implements OnDestroy, AfterViewInit {
    private ref;
    private currencyPipe;
    type: 'text' | 'number' | 'password' | 'email' | 'currency';
    cModel: any;
    currencyModel: any;
    private previous;
    set model(value: any);
    modelChange: EventEmitter<any>;
    icon: string;
    sdClick: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    keyupEnter: EventEmitter<any>;
    control: ElementRef;
    constructor(ref: ChangeDetectorRef, currencyPipe: SdCurrencyPipe);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onChange: (value: any) => Promise<void>;
    onKeyupEnter: () => void;
    onClick: () => void;
    private currencyToNumber;
}
