import { EventEmitter, ChangeDetectorRef, OnDestroy, AfterViewInit, ElementRef } from '@angular/core';
import { NgForm, NgModel } from '@angular/forms';
import { SdCurrencyPipe } from '../../pipes/currency.pipe';
export declare class InputControlComponent implements OnDestroy, AfterViewInit {
    private ref;
    private currencyPipe;
    name: string;
    form: NgForm;
    label: string;
    placeholder: string;
    type: 'text' | 'number' | 'password' | 'email' | 'currency';
    step: number;
    cModel: any;
    currencyModel: any;
    private previous;
    set model(value: any);
    modelChange: EventEmitter<any>;
    required: boolean;
    maxlength: number;
    pattern: string;
    disabled: boolean;
    icon: string;
    validator: (value: any) => string | Promise<string>;
    tooltip: string | ((inputValue: string) => string);
    click: EventEmitter<any>;
    sdClick: EventEmitter<any>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    sdFocus: EventEmitter<any>;
    sdFocusForceBlur: EventEmitter<any>;
    keyupEnter: EventEmitter<any>;
    control: ElementRef;
    formModel: NgModel;
    constructor(ref: ChangeDetectorRef, currencyPipe: SdCurrencyPipe);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    reValidate: () => void;
    onChange: (value: any) => Promise<void>;
    onKeyupEnter: () => void;
    onClick: () => void;
    onFocus: () => void;
    blur: () => void;
    private currencyToNumber;
}
